import { FormControl, ValidatorFn } from '@angular/forms';
import { EventEmitter } from '@angular/core';
export interface IFormField {
    id: string;
    type: string;
    label: string;
    col: string;
    nativeElement: any;
    class: any;
    info: any;
    placeholder: string;
    options: any;
    optionValue: string;
    optionText: string;
    firstValue: any;
    more: any;
}
export declare class FormField implements IFormField {
    id: string;
    type: string;
    label: string;
    options: any;
    optionValue: string;
    optionText: string;
    col: string;
    firstValue: any;
    more: any;
    nativeElement: any;
    class: any;
    info: any;
    placeholder: string;
    isRequired: boolean;
    control: FormControl;
    valueChange: EventEmitter<any>;
    constructor(values: IFormField);
    required(): FormField;
    setValidators(v: ValidatorFn | ValidatorFn[]): FormField;
    setValue(v: any): FormField;
    addValidator(v: ValidatorFn): FormField;
}
